@import 'assets/variables.scss';

.blocksWrap {
}

.keyInfo {
  width: fit-content;
  max-width: 400px;
}

.keyInfoContent {
  text-transform: capitalize;
  font-size: 1.3em;
  line-height: 1.5em;
  height: 160px;
  overflow: auto;
}

.textBlock {
  margin: $cell * 3 $cell * 3;

  .textBlockInner {
    height: 70px;
    overflow: auto;
    color: $mid-grey;
    overflow: auto;
    font-size: 1.4em;
    max-width: 400px;
    min-width: 100%;
  }
}

.creatureBlocks {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}

.metaBlocks {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}

.creatureCard {
  font-size: 1.3em;
  height: 200px;
  border: 2px solid $somewhat-grey;
  cursor: pointer;

  &:hover {
    background-color: $super-soft-grey;
  }

  .creatureCardContent {
    margin-right: $cell * 2;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: $cell * 2 $cell * 4;
    grid-template-rows: 1fr 1fr;
  }
}

.reroll {
  margin-left: auto;
  margin-right: auto;
  margin-top: $cell * 4;
  width: fit-content;

  .question {
    font-size: 1.2em;
    margin-right: $cell * 2;
  }

  .randomise {

  }
}